%global commit0 6c004d4e93fe209099dfd86425a5ead799aea077

Name:           securesm
Version:        1.0
Release:        1%{?dist}
Summary:        SecurityManager implementation that works around design flaws in Java
License:        ASL 2.0
URL:            https://github.com/elastic/securesm
Source0:        https://github.com/elastic/%{name}/archive/%{commit0}.tar.gz#/%{name}-%{version}.tar.gz
Patch0001:      0001-Removed-hamcrest-from-pom.xml-exclusion-list.patch
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  sonatype-oss-parent

%description
SecurityManager implementation that works around design flaws in Java

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%autosetup -n %{name}-%{commit0}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%files javadoc -f .mfiles-javadoc

%changelog
* Sun Jul 3 2016 David Voit <david.voit@gmail.com> - 1.0-1
- Initial packaging
